<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DocenteEvaluacionDEP extends Model
{
    protected $table = "ins_docevadencp";
    protected $primaryKey = 'cve_docedep';
    protected $fillable = ['cve_evaldiag', 'cve_encpie', 'id',];

    public function docente()
    {
        return $this->belongsTo('App\Docente', 'id', 'id');
    }

    public function ncabezadoP()
    {
        return $this->belongsTo('App\Encabezadopie', 'cve_encpie', 'cve_encpie');
    }
    public function evaluacionDiag()
    {
        return $this->belongsTo('App\EvaluacionDiagnostica', 'cve_evaldiag', 'cve_evaldiag');
    }
}
